using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_WenZhangZuoZhe_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改文章作者", "网站后台", "修改文章作者", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("10");

        String 文章作者 = Request.Form["ZuoZhe"];
        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        int page = Convert.ToInt32(Request.QueryString["page"]);

        if (文章作者.Length < 1 || 文章作者.Length > 50)
            throw new Exception("文章作者的长度只能在1-50之间。");

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "内容_文章_作者] SET [作者]=@作者 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@作者", SqlDbType.NVarChar).Value = 文章作者;
        语句.ExecuteNonQuery();

        Response.Redirect("WenZhangZuoZhe.aspx?page=" + page);
    }
}
